你好,游客 登录 注册 搜索
背景:
阅读新闻

vmware ESXI6.0升级6.5问题

[日期:2017-02-08] 来源:  作者: [字体: ]

  近期把VCSA6.0升到6.5,升级过程还算顺利,但也遇到了很多问题(详见http://lorysun.blog.51cto.com/1035880/1664861)。6.5刚出还是不太稳定,建议生产环境不要升级,等到U1出了后再升级吧。

  升级完VC后再升级ESXI,也是问题很多。最主要的还是Conflicting Vibs Error的问题,如下图:

CONFLICTING_VIBS ERROR: Vibs on the host are conflicting with vibs in metadata. Remove the conflicting vibs or use Image Builder to create a custom ISO providing newer versions of the conflicting vibs.

技术分享

错误提示已经给出了处理建议:删除冲突的vibs或新建一个包含最新版本vibs的自定义ISO再安装。

  解决办法:不想从DELL官网下载ESXI安装光盘,就只能手动删除冲突的vibs文件(https://kb.vmware.com/kb/2140962)

1、通过SSH(Putty等工具)连接ESXI主机

  需要先在主机->配置->系统->安全配置文件中开启防火墙SSH(入站连接)和启动服务里的SSH服务。

2、根据升级错误提示删除冲突的vibs(所有冲突的vibs,有很多重复的删除一次即可)

  先查看冲突的vibs,再删除。

技术分享

注:删除还可以使用esxcli software vib remove --vibname scsi-bfa命令。

3、删除后再重新升级ESXI主机即可。如果遇到升级时又遇到新的vibs冲突就再删除然后再升级。

注:如果想查看vib的详细信息,可以使用esxcli software vib get --vibname scsi-bfa查看。

技术分享

 

  在升级过程中,其中一台服务器(Dell R820)升级成功后发现找不到HBA卡(HBA卡灯也不亮),启动过程也没有报错。联系Dell工程师,登录主机SSH,通过lspci可以看到HBA卡。初步判断是驱动的问题。

技术分享

  安装HBA卡驱动:

BR FC卡驱动for ESXI官方驱动页面:http://www.vmware.com/resources/compatibility/detail.php?deviceCategory=io&productid=18971&vcl=true

技术分享

bfa version 3.2.4.0https://my.vmware.com/web/vmware/details?downloadGroup=DT-ESXI55-BROCADE-BFA-3240&productId=353

1、下载驱动并上传到ESXI主机

技术分享

2、解压缩驱动包

技术分享

3、安装驱动程序

技术分享

4、安装完成后重启主机,即可发现HBA卡了。

注:关于FC光纤卡和Raid卡(归为scsi类设备)可以使用esxcfg-scsidevs -a来列出所有设备:

技术分享

通过vmkload_mod -s xxx | grep Version来查看现有驱动的版本

xxx--是驱动程序的名字,例如上图的vmw_ahci、lsi_mr3、bfa

技术分享

通过vmkload_mod -s bfa可以查看bfa的详细信息。

安装驱动程序时,也可以不解压,使用以下命令直接安装(通过web client上传驱动到本地存储):

esxcli software vib install -d /vmfs/volumes/datastore127/BCD-bfa-3.2.4.0-00000-1634864.zip

收藏 推荐 打印 | 阅读:
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数
点评:
       
评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款
相关新闻      
热门评论